<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/color_655afd">

    <androidx.appcompat.widget.LinearLayoutCompat
        android:id="@+id/id_ll_p1"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:gravity="center_horizontal"
        android:orientation="vertical"
        android:visibility="visible">


        <View
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:layout_weight="1" />

        <com.airbnb.lottie.LottieAnimationView
            android:id="@+id/id_speak_clean_lottie"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            app:lottie_autoPlay="true"
            app:lottie_loop="true" />

        <View
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:layout_weight="1" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="Cleaning"
            android:textColor="@color/white"
            android:textSize="21sp"
            android:textStyle="bold" />

        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="18dp"
            android:layout_marginBottom="19dp">

            <com.noober.background.view.BLView
                android:layout_width="4dp"
                android:layout_height="4dp"
                app:bl_shape="oval"
                app:bl_solid_color="@color/white" />

            <com.noober.background.view.BLView
                android:layout_width="4dp"
                android:layout_height="4dp"
                android:layout_marginHorizontal="2dp"
                app:bl_shape="oval"
                app:bl_solid_color="@color/white" />

            <com.noober.background.view.BLView
                android:layout_width="4dp"
                android:layout_height="4dp"
                app:bl_shape="oval"
                app:bl_solid_color="@color/white" />
        </androidx.appcompat.widget.LinearLayoutCompat>

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="Wait a moment please"
            android:textColor="@color/white"
            android:textSize="13sp" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="50dp"
            android:layout_marginTop="54dp"
            android:layout_marginBottom="96dp"
            android:gravity="center"
            android:text="There will be vibration and sound during speaker cleaning, which is normal!"
            android:textColor="#80FFFFFF"
            android:textSize="12sp" />
    </androidx.appcompat.widget.LinearLayoutCompat>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/id_ll_p2"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:gravity="center_horizontal"
        android:orientation="vertical"
        android:visibility="gone">

        <com.airbnb.lottie.LottieAnimationView
            android:id="@+id/id_lottie_complete"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:adjustViewBounds="true"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:lottie_rawRes="@raw/new_complete" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginBottom="290dp"
            android:text="Speaker cleaning completed"
            android:textColor="@color/white"
            android:textSize="14sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent" />
    </androidx.constraintlayout.widget.ConstraintLayout>
</androidx.constraintlayout.widget.ConstraintLayout>